package cn.com.poc.thirdparty.resource.demand.ai.entity.orc;

import cn.com.poc.thirdparty.resource.demand.dgTools.request.AbstractRequest;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

/**
 * @author alex.yao
 * @date 2023/9/12
 **/
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class BaiduORCHandWritingResponse extends AbstractRequest<BaiduORCHandWritingResult> implements Serializable {

    private String image;

    private String url;
//    @JSONField(name = "pdf_url")
    private String pdfUrl;
    //    @JSONField(name = "pdf_file_num")
    private String pdfFileNum;
    //    @JSONField(name = "recognize_granularity")
    private String recognizeGranularity;
    private String probability;
    //    @JSONField(name = "detect_direction")
    private String detectDirection;

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getPdfUrl() {
        return pdfUrl;
    }

    public void setPdfUrl(String pdfUrl) {
        this.pdfUrl = pdfUrl;
    }

    public String getPdfFileNum() {
        return pdfFileNum;
    }

    public void setPdfFileNum(String pdfFileNum) {
        this.pdfFileNum = pdfFileNum;
    }

    public String getRecognizeGranularity() {
        return recognizeGranularity;
    }

    public void setRecognizeGranularity(String recognizeGranularity) {
        this.recognizeGranularity = recognizeGranularity;
    }

    public String getProbability() {
        return probability;
    }

    public void setProbability(String probability) {
        this.probability = probability;
    }

    public String getDetectDirection() {
        return detectDirection;
    }

    public void setDetectDirection(String detectDirection) {
        this.detectDirection = detectDirection;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
